// offscreen.js 2026/02/14, chromium manifest v3
// for HoreRisu V4.0, Tonchinkan Office (C)2011-2026, All Rights Reserved
// https://www.tonchinkan.biz/

chrome.runtime.onMessage.addListener(message => {
  // When received
  if (message.target === 'offscreen') {
    // launch HoreRisu
    window.open('horerisu:' + message.data, '_blank');
  }
});
